FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2018 PLD Team
$Revision: 1.37 $
Powered by NSA.
Your IP: 35.172.201.102

llvm 22bf1211-803e-446c-a29b-13be6504b56a

Status:Failed
Source URL:ftp://buildlogs.pld-linux.org/th/i686/FAIL/llvm,22bf1211-803e-446c-a29b-13be6504b56a.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2018/11/26 09:23:03

Toc:

  • error 1
  • - no parallel install (this may be the cause for 'make: write error: stdout' on x8664 builder)
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • poldek: error: openldap-libs-2.4.46-3.i686: req cyrus-sasl-libs = 2.1.26 not found
  • error 4
  • poldek: error: curl-libs-7.62.0-1.i686: req libldap-2.4.so.2 not found
  • error 5
  • poldek: error: 2 unresolved dependencies
  • error 6
  • poldek: error: Failed dependencies:
  • error 7
  • error: openldap-libs: no such package
  • error 8
  • rpm: error: Failed build dependencies:
  • error 9
  • error: openldap-libs-2.4.46-3.i686: req cyrus-sasl-libs = 2.1.26 not found
  • error 10
  • error: curl-libs-7.62.0-1.i686: req libldap-2.4.so.2 not found
  • error 11
  • error: 2 unresolved dependencies
  • error 12
  • error: BR installation failed

Content:

request from: baggins
checking if we should skip the build
started at: Mon Nov 26 09:22:22 2018
killing old processes on a builder
sending signal 9 to pid -1
Killed
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/22bf1211-803e-446c-a29b-13be6504b56a/llvm-7.0.0-1.src.rpm
fetched 72767964 bytes, 6760.6 K/s
installing srpm: llvm-7.0.0-1.src.rpm
+ install -d /tmp/B.KseKV6/BUILD /tmp/B.KseKV6/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog llvm-7.0.0-1.src.rpm
* Mon Nov 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/llvm.git;a=log;h=master
* Thu Sep 20 2018 Jan Palus <atler@pld-linux.org> 8f8cf7a
- up to 7.0.0 * Sun Jul 08 2018 Jan Palus <atler@pld-linux.org> 16e02b3
- up to 6.0.1 * Wed Jun 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b78004d
- use newer rpm macros that skip checking std::__once_callable, std::__once_call * Sat Apr 07 2018 Jan Rękorajski <baggins@pld-linux.org> 30b45f1
- added note about build space requirements * Fri Mar 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 83d2be6
- pl for -opt-viewer and vim-plugin-clang * Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> 464fc37
- no parallel install (this may be the cause for 'make: write error: stdout' on x8664 builder) * Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> 4e51849
- readd gold lib * Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> 0efe4c2
- remove patches missed by rebase * Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> 8e9fbe9
- opt-viewer is pure noarch python * Fri Mar 30 2018 Jan Rękorajski <baggins@pld-linux.org> d744738
- package opt-viewer, vim and wasm stuff * Thu Mar 29 2018 Jan Palus <atler@pld-linux.org> 12aa4b7
- BR: swig-python >= 3.0.11 * Sat Mar 17 2018 Jan Palus <atler@pld-linux.org> 23ae649
- up to 6.0.0 * Wed Jan 17 2018 Jan Palus <atler@pld-linux.org> e87542b
- up to 5.0.1 * Mon Jan 15 2018 Jan Palus <atler@pld-linux.org> 47e02cf
- fix lldb-python-doc * Thu Dec 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 265e167
- updated to 5.0.0 - updated pld,x32-gcc-toolchain patches * Thu Dec 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 5013c7e
- updated to 4.0.1 - updated pld patch - removed obsolete lld-link,libdir patches * Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> 1a58a1b
- rel 4 * Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> 20d5912
- fix building with g++ 7 * Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> 3a980ab
- fix building with latest glibc https://reviews.llvm.org/D35246 * Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> e748f12
- add ld gold support + rpm -Uhv --nodeps --define '_topdir /tmp/B.KseKV6' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' llvm-7.0.0-1.src.rpm Preparing... ################################################## llvm ################################################## + rm -f llvm-7.0.0-1.src.rpm + install -m 700 -d /tmp/B.KseKV6/BUILD/tmp + TMPDIR=/tmp/B.KseKV6/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.KseKV6' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux --define 'prep exit 0' /tmp/B.KseKV6/llvm.spec warning: %changelog not in descending chronological order Building target platforms: i686-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: warning: %changelog not in descending chronological order rpm: error: Failed build dependencies: rpm: cmake >= 3.4.3 is needed by llvm-7.0.0-1.src rpm: Building target platforms: i686-pld-linux updating poldek cache... ready is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-test::packages.ndir.md... Retrieving th-test::packages.ndir.diff.toc.gz... Retrieving diff::packages.ndir.2018.11.25-20.32.33.gz... Retrieving diff::packages.ndir.dscr.2018.11.25-20.32.33.gz... Loading [pndir]th-test... Applying packages.ndir.2018.11.25-20.32.33.gz... Retrieving diff::packages.ndir.2018.11.25-23.45.01.gz... Retrieving diff::packages.ndir.dscr.2018.11.25-23.45.01.gz... Applying packages.ndir.2018.11.25-23.45.01.gz... Retrieving diff::packages.ndir.2018.11.26-08.11.01.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.11.26-08.11.01.gz... ..............................done Applying packages.ndir.2018.11.26-08.11.01.gz... Retrieving diff::packages.ndir.2018.11.26-08.14.03.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.11.26-08.14.03.gz... Applying packages.ndir.2018.11.26-08.14.03.gz... Retrieving diff::packages.ndir.2018.11.26-08.16.07.gz... ..............................done Retrieving diff::packages.ndir.dscr.2018.11.26-08.16.07.gz... Applying packages.ndir.2018.11.26-08.16.07.gz... Writing /root/tmp/poldek-cache-root/[...]/packages.ndir.gz... Retrieving th-test::packages.ndir.md... Retrieving th-test::packages.ndir.diff.toc.gz... Retrieving diff::packages.ndir.2018.11.25-20.32.33.gz... Retrieving diff::packages.ndir.dscr.2018.11.25-20.32.33.gz... Loading [pndir]th-test... Applying packages.ndir.2018.11.25-20.32.33.gz... Writing /root/tmp/poldek-cache-root/[...]/packages.ndir.gz... checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 30385 packages read poldek: Removed 3189 duplicate packages from available set poldek: Processing dependencies... poldek: cmake-3.13.0-1.i686 marks curl-libs-7.62.0-1.i686 (cap libcurl.so.4) poldek: curl-libs-7.62.0-1.i686 marks openldap-libs-2.4.46-3.i686 (cap liblber-2.4.so.2) poldek: error: openldap-libs-2.4.46-3.i686: req cyrus-sasl-libs = 2.1.26 not found poldek: error: curl-libs-7.62.0-1.i686: req libldap-2.4.so.2 not found poldek: There are 3 packages to install (2 marked by dependencies): poldek: I cmake-3.13.0-1.i686 poldek: D curl-libs-7.62.0-1.i686 openldap-libs-2.4.46-3.i686 poldek: This operation will use 27.7MB of disk space. poldek: Need to get 5.6MB of archives (427.6KB to download). poldek: poldek: error: 2 unresolved dependencies poldek: Retrieving [1/2] th::openldap-libs-2.4.46-3.i686.rpm... poldek: ..............................done poldek: Retrieving [2/2] th::curl-libs-7.62.0-1.i686.rpm... poldek: ..............................done poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1... poldek: error: Failed dependencies: poldek: cyrus-sasl-libs = 2.1.26 is needed by openldap-libs-2.4.46-3.i686 uninstalling conflicting packages removing openldap-libs error: openldap-libs: no such package package openldap-libs removal failed checking BR rpm: warning: %changelog not in descending chronological order rpm: error: Failed build dependencies: rpm: cmake >= 3.4.3 is needed by llvm-7.0.0-1.src rpm: Building target platforms: i686-pld-linux installing BR: cmake + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' --upgrade cmake Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 30385 packages read Removed 3189 duplicate packages from available set Processing dependencies... cmake-3.13.0-1.i686 marks curl-libs-7.62.0-1.i686 (cap libcurl.so.4) curl-libs-7.62.0-1.i686 marks openldap-libs-2.4.46-3.i686 (cap liblber-2.4.so.2) error: openldap-libs-2.4.46-3.i686: req cyrus-sasl-libs = 2.1.26 not found error: curl-libs-7.62.0-1.i686: req libldap-2.4.so.2 not found There are 3 packages to install (2 marked by dependencies): I cmake-3.13.0-1.i686 D curl-libs-7.62.0-1.i686 openldap-libs-2.4.46-3.i686 This operation will use 27.7MB of disk space. Need to get 5.6MB of archives. error: 2 unresolved dependencies error: BR installation failed + chmod -R u+rwX /tmp/B.KseKV6/BUILD + rm -rf /tmp/B.KseKV6/tmp /tmp/B.KseKV6/BUILD + rm -rf /tmp/B.KseKV6 Begin-PLD-Builder-Info Build-Time: user:11.49s sys:2.35s real:41.62s (faults io:0 non-io:186580) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]